APT-MARK(8)

NOM
apt-mark - affiche, définit ou redéfinit divers paramètres d'un paquet

SYNOPSIS

apt-mark {-f=nom_de_fichier | {auto | manual} paquet... | {showauto | showmanual} [paquet...] } | {-v | --version} | {-h | --help}

apt-mark {hold | unhold | install | remove | purge} paquet... | {showhold | showinstall | showremove | showpurge} [paquet...]

DESCRIPTION

La commande apt-mark peut être utilisée comme interface unique pour diverses configurations d'un paquet, par exemple pour le marquer comme installé automatiquement ou manuellement, ou pour modifier les sélections de dpkg telles que hold install deinstall et purge qui sont suivies par exemple par les commandes apt-get dselect-upgrade ou aptitude.

PAQUETS INSTALLÉS AUTOMATIQUEMENT ET MANUELLEMENT

Lorsque l'installation d'un paquet est demandée et que par voie de dépendances d'autres paquets sont installés, ces paquets sont marqués comme ayant été automatiquement installés, tandis que le paquet que vous avez installé explicitement est marqué comme manuellement installé. Une fois que ces paquets automatiquement installés ne sont plus liés à un paquet installé manuellement, ils ne seront plus considérés comme nécessaires et apt-get ou aptitude, par exemple, proposeront au moins de les supprimer.

auto
    auto permet de marquer un paquet comme ayant été installé automatiquement. Un tel paquet sera supprimé automatiquement dès que plus aucun paquet installé manuellement ne dépend de lui.

manual
    manual permet de marquer un paquet comme installé manuellement. Un tel paquet ne sera pas supprimé automatiquement, même si aucun autre paquet n'en dépend.

minimize-manual
    minimize-manual permet de marquer les dépendances (transitives) de métapaquets comme ayant été installées automatiquement. Cela peut être utilisé par exemple après une installation pour réduire le nombre de paquets installés manuellement, ou de façon permanente sur des systèmes gérés par des métapaquets de configuration système.

showauto
    showauto, affiche les paquets installés automatiquement, un paquet par ligne. Si aucun paramètre n'est indiqué, tous les paquets installés automatiquement seront affichés. Si des noms de paquets sont passés en paramètre, seuls ceux qui sont automatiquement installés seront affichés.

showmanual
    showmanual peut être utilisé de manière analogue à showauto pour afficher la liste des paquets installés manuellement.

  Options

-f=nom_de_fichier, --file=nom_de_fichier
    Lecture/écriture des statistiques d'un paquet dans nom_de_fichier au lieu du fichier par défaut (extended_states dans le répertoire défini par l'élément de configuration Dir::State).

EMPÊCHER LES MODIFICATIONS DUN PAQUET

hold
    hold permet de marquer un paquet comme retenu, ce qui empêchera qu'il soit installé, mis à jour ou supprimé automatiquement.

unhold
    unhold est utilisé pour supprimer l'état « hold » (retenu) d'un paquet afin de permettre toute action qui y est liée.

showhold
    showhold permet d'afficher la liste des paquets retenus de manière analogue aux commandes de même type.

PROGRAMMER DES PAQUETS POUR INSTALL, REMOVE ET PURGE

Certains frontaux comme apt-get dselect-upgrade peuvent être utilisés pour appliquer des modifications, préalablement programmées, de l'état d'installation de paquets. Ces modifications peuvent être programmées avec les commandes install, remove (connue aussi sous le nom de deinstall) et purge. Les paquets faisant l'objet d'une sélection particulière peuvent être affichés respectivement avec les options showinstall, showremove et showpurge. Vous trouverez plus d'information sur ce que l'on appelle les sélections de dpkg dans dpkg(1).

OPTIONS

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnement APT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

FICHIERS

/var/lib/apt/extended_states
    Liste d'état des paquets installés automatiquement. Élément de configuration : Dir::State::extended_states.

VOIR AUSSI

apt-get(8),aptitude(8),apt.conf(5)

DIAGNOSTICS

apt-mark retourne zéro après un déroulement normal, et un autre chiffre en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005, 2009, 2010), Équipe de traduction francophone de Debian <debian-l10n-french@lists.debian.org>

Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTEURS

Mike O'Connor

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    http://bugs.debian.org/src:apt